hmm_context_s Struct Reference

## Data Fields

int32 | n_emit_state
| Number of emitting states in this set of HMMs.
uint8 **const * | tp
| State transition scores tp[id][from][to] (logs3 values).
const int16 * | senscore
| State emission scores senscore[senid] (negated scaled logs3 values).
uint16 *const * | sseq
| Senone sequence mapping.
int32 * | st_sen_scr
| Temporary array of senone scores (for some topologies).
listelem_alloc_t * | mpx_ssid_alloc
| Allocator for senone sequence ID arrays.
void * | udata
| Whatever you feel like, gosh.

## Detailed Description

Definition at line 146 of file hmm.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/hmm.h